﻿@model SocialMedia.Services.DTOs.UserDTO
@{
    ViewData["Title"] = "Privacy Settings";
}

<partial name="/Views/Shared/_SettingsPartial.cshtml" />

<section>
    <div class="gap gray-bg">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row" id="page-contents">
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                            </aside>
                        </div>
                        <div class="col-lg-6">
                            <div class="central-meta" id="fillContainer">
                                <div class="editing-info">
                                    <h5 class="f-title"><i class="ti-lock"></i>Privacy Settings</h5>
                                    <form method="post">
                                        <select id="PrivacySetting" name="PrivacySetting">
                                            @foreach ((string Name, int Value) tup in ViewBag.PrivacyOptions)
                                            {
                                                if (tup.Value == Model.PrivacySetting)
                                                {
                                                    <option value="@tup.Value" selected>@tup.Name</option>
                                                }
                                                else
                                                {
                                                    <option value="@tup.Value">@tup.Name</option>
                                                }
                                            }
                                        </select>
                                        <div class="submit-btns">
                                            <button type="submit" class="mtr-btn"><span>Update</span></button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                            </aside>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>